Version 4.0.26.22 (latest)

Get information about all running queries.

## Request

GET /running_queries Datatype Description Request HTTP Request

## Response

### 200: Running Queries.

Datatype Description (array) [RunningQueries](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/RunningQueries)\[\] can object Operations the current user is able to perform on this object id string Unique Id user [UserPublic](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/UserPublic) User who initiated the query Expand UserPublic definition... can object Operations the current user is able to perform on this object id string Unique Id first_name string First Name last_name string Last Name display_name string Full name for display (available only if both first_name and last_name are set) avatar_url string URL for the avatar image (may be generic) is_service_account boolean Indicates if this user is a service account. is_embed_user boolean Indicates if this user is an embed user. url string Link to get this item query [Query](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Query) Query that was run Expand Query definition... can object Operations the current user is able to perform on this object id string Unique Id model string Model view string Explore Name fields string\[\] pivots string\[\] fill_fields string\[\] filters object Filters will contain data pertaining to complex filters that do not contain "or" conditions. When "or" conditions are present, filter data will be found on the \`filter_expression\` property. filter_expression string Filter Expression sorts string\[\] limit string Row limit. To download unlimited results, set the limit to -1 (negative one). column_limit string Column Limit total boolean Total row_total string Raw Total subtotals string\[\] vis_config object Visualization configuration properties. These properties are typically opaque and differ based on the type of visualization used. There is no specified set of allowed keys. The values can be any type supported by JSON. A "type" key with a string value is often present, and is used by Looker to determine which visualization to present. Visualizations ignore unknown vis_config properties. filter_config object The filter_config represents the state of the filter UI on the explore page for a given query. When running a query via the Looker UI, this parameter takes precedence over "filters". When creating a query or modifying an existing query, "filter_config" should be set to null. Setting it to any other value could cause unexpected filtering behavior. The format should be considered opaque. visible_ui_sections string Visible UI Sections slug string Slug dynamic_fields string Dynamic Fields client_id string Client Id: used to generate shortened explore URLs. If set by client, must be a unique 22 character alphanumeric string. Otherwise one will be generated. share_url string Share Url expanded_share_url string Expanded Share Url url string Expanded Url query_timezone string Query Timezone has_table_calculations boolean Has Table Calculations sql_query [SqlQuery](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/SqlQuery) SQL Query that was run Expand SqlQuery definition... can object Operations the current user is able to perform on this object slug string The identifier of the SQL query last_runtime number Number of seconds this query took to run the most recent time it was run run_count integer Number of times this query has been run browser_limit integer Maximum number of rows this query will display on the SQL Runner page sql string SQL query text last_run_at string The most recent time this query was run connection [DBConnectionBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DBConnectionBase) Connection this query uses Expand DBConnectionBase definition... can object Operations the current user is able to perform on this object name string Name of the connection. Also used as the unique identifier dialect [Dialect](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Dialect) (Read-only) SQL Dialect details snippets [Snippet](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Snippet)\[\] pdts_enabled boolean True if PDTs are enabled on this connection project_id string ID of the LookML project to which this connection is scoped. Excluding or passing 'NULL' in this field makes the connection global. Beware that once configured this field cannot be modified. model_name string Model name this query uses creator [UserPublic](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/UserPublic) User who created this SQL query Expand UserPublic definition... can object Operations the current user is able to perform on this object id string Unique Id first_name string First Name last_name string Last Name display_name string Full name for display (available only if both first_name and last_name are set) avatar_url string URL for the avatar image (may be generic) is_service_account boolean Indicates if this user is a service account. is_embed_user boolean Indicates if this user is an embed user. url string Link to get this item explore_url string Explore page URL for this SQL query plaintext boolean Should this query be rendered as plain text vis_config object Visualization configuration properties. These properties are typically opaque and differ based on the type of visualization used. There is no specified set of allowed keys. The values can be any type supported by JSON. A "type" key with a string value is often present, and is used by Looker to determine which visualization to present. Visualizations ignore unknown vis_config properties. result_maker_id string ID of the ResultMakerLookup entry. look [LookBasic](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookBasic) Look of query that was run Expand LookBasic definition... can object Operations the current user is able to perform on this object content_metadata_id string Id of content metadata id string Unique Id title string Look Title user_id string User Id certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata Expand Certification definition... certification_status string Certification status: "certified" or "revoked" Valid values are: "certified", "revoked". ui_status string Indicates whether the underlying model is ungoverned user_name string Display name of user who certified the content, derived from user_id notes string Certification notes updated_at string Timestamp of certification created_at string Date/Time Query was initiated completed_at string Date/Time Query was completed query_id string Query Id source string Source (look, dashboard, queryrunner, explore, etc.) node_id string Node Id slug string Slug query_task_id string ID of a Query Task cache_key string Cache Key connection_name string Connection dialect string Dialect connection_id string Connection ID message string Additional Information(Error message or verbose status) status string Status description runtime number Number of seconds elapsed running the Query sql string SQL text of the query as run sql_interface_sql string SQL text of the SQL Interface query as run

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

## Examples

### Python


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/kill_queries.py](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/kill_queries.py#L28 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/kill_queries.py") |

### Ruby


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/ruby/kill_all_running_queries.rb](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/ruby/kill_all_running_queries.rb#L10 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/ruby/kill_all_running_queries.rb") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/ruby/stream_to_s3.rb](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/ruby/stream_to_s3.rb#L39 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/ruby/stream_to_s3.rb") |

### Swift


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift](https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift#L287 "https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift") |